"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEX_CHAINS = exports.SMART_ACCOUNT_V1_CHAINS = exports.UNISWAP_V3_ETH_ADDRESSES = exports.ENTRYPOINT_ADDRESS = void 0;
exports.ENTRYPOINT_ADDRESS = "0x5FF137D4b0FDCD49DcA30c7CF57E578a026d2789";
exports.UNISWAP_V3_ETH_ADDRESSES = {
    factory: "0x1F98431c8aD98523631AE4a59f267346ea31F984",
    swapRouter: "0xE592427A0AEce92De3Edee1F18E0157C05861564",
    nonfungiblePositionManager: "0xC36442b4a4522E871399CD717aBDD847Ab11FE88",
};
exports.SMART_ACCOUNT_V1_CHAINS = {
    137: {
        entrypoint: exports.ENTRYPOINT_ADDRESS,
        smartAccountFactoryV1: "0x",
        sessionKeyManager: "0x",
    },
    80001: {
        entrypoint: exports.ENTRYPOINT_ADDRESS,
        smartAccountFactoryV1: "0x3917d4c08477FA10d7c8CC91936D84957224B2a8",
        sessionKeyManager: "0x0a46d7348ab5f2fA6cfA261Ccf6276853Fcc0746",
    },
};
exports.DEX_CHAINS = {
    137: {
        uniswapV3: exports.UNISWAP_V3_ETH_ADDRESSES,
    },
    80001: {
        uniswapV3: exports.UNISWAP_V3_ETH_ADDRESSES,
    },
};
//# sourceMappingURL=index.js.map